﻿@using System.Web.UI.WebControls;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("_WarehouseInquiryScript")
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")

<div class="content">
 <fieldset>
    <table style="width: 100%">
        <tr>
            <td valign ="middle">
                			@Html.DevExpress().TextBox(hsettings =>
							{
							hsettings.Name = "Process_ID2";
							hsettings.ClientVisible = false;
							}).GetHtml()

                @Html.DevExpress().Label(
                label =>
                    {
                        label.Text = "*Order No";
                        label.Height = 25;
                    }).GetHtml() 
            </td>
            <td>
                @Html.DevExpress().TextBox(
              settings =>
              {
                  settings.Name = "I_ORDER_NO";
                  settings.Properties.ClientSideEvents.Init = "SetFocus";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Width = 120;
                  settings.Properties.MaxLength = 8; 
              }).GetHtml()            
            </td>
            
            <td style="width: 20px"></td>
            <td>
                @Html.DevExpress().Label(
                label =>
                    {
                        label.Text = "Item No";
                        label.Height = 25;
                    }).GetHtml() 
            </td>
            <td>
                @Html.DevExpress().TextBox(
              settings =>
              {
                  settings.Name = "I_ITEM_NO";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Width = 120;
                  settings.Properties.MaxLength = 4;
              }).GetHtml()            
            </td>            
            <td style="width: 20px"></td>            
            <td>
                @Html.DevExpress().Label(
                label =>
                    {
                        label.Text = "Part No";
                        label.Height = 25;
                    }).GetHtml() 
            </td>
            <td>
                @Html.DevExpress().TextBox(
              settings =>
              {
                  settings.Name = "I_PART_NO";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Width = 120; 
                  settings.Properties.MaxLength = 15;
              }).GetHtml()            
            </td>
            
            <td style="width: 20px"></td>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "* Order Date From";
                }).GetHtml()
            </td>
            <td>@Html.DevExpress().DateEdit(
              settings =>
              {
                  settings.Name = "I_ORDER_DT";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                  settings.Properties.DisplayFormatInEditMode = true;
                  settings.Properties.EditFormatString = "dd.MM.yyyy";
                  settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                  settings.ReadOnly = false;
                  settings.Properties.UseMaskBehavior = true;
                  settings.Properties.EditFormat = EditFormat.Custom;
                  settings.Properties.CalendarProperties.EnableYearNavigation = true;
                  settings.Width = 110;
                  settings.Properties.ClientSideEvents.DateChanged = "I_TMAP_ORDER_OnChanged";
              }).GetHtml()
                   
            </td>
            
            <td>
                @Html.DevExpress().Label(
                 label =>
                 {
                     label.Text = "To";
                 }).GetHtml()
            </td>
            <td align="right">
                @Html.DevExpress().DateEdit(
             settings =>
             {
                 settings.Name = "I_TMAP_ORDER_DT_TO";
                 settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                 settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                 settings.Properties.DisplayFormatInEditMode = true;
                 settings.Properties.EditFormatString = "dd.MM.yyyy";
                 settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                 settings.ReadOnly = false;
                 settings.Properties.UseMaskBehavior = true;
                 settings.Properties.EditFormat = EditFormat.Custom;
                 settings.Properties.CalendarProperties.EnableYearNavigation = true;
                 settings.Width = 110;
             }
             ).GetHtml()
            </td>
            <td style="width : 20px"></td>
            
            <td colspan="10">
                @Html.DevExpress().Button(edtSetting =>
                {
                edtSetting.Name = "cmdSearch";
                edtSetting.Width = 90;
                edtSetting.Text = "Search";
                edtSetting.ClientSideEvents.Click = "OnSearch";
                edtSetting.Style.Add("display", "inline-table");
                edtSetting.UseSubmitBehavior = true;
                 }).GetHtml()

                @Html.DevExpress().Button(edtSetting =>
                {
                edtSetting.Name = "cmdClear";
                edtSetting.Width = 90;
                edtSetting.Text = "Clear";
                edtSetting.ClientSideEvents.Click = "OnClear";
                edtSetting.Style.Add("display", "inline-table");
                edtSetting.UseSubmitBehavior = true;
                //            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-01", "SEARCH");
                }).GetHtml()
            </td>
        </tr>
        <tr>
            <td valign ="middle">
                @Html.DevExpress().Label(
                label =>
                    {
                        label.Text = "Order Type";
                        label.Height = 25;
                    }).GetHtml() 
            </td>
            <td>
                                              
                @Html.DevExpress().ComboBox(
                settings =>
                {
                    settings.Name = "I_ORDER_TYPE";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    settings.SelectedIndex = -1;
                    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                    settings.Properties.TextFormatString = "{0}";
                    settings.Properties.ValueType = typeof(string);
                    settings.Properties.ValueField = "SYSTEM_CD";
                    settings.Properties.TextField = "SYSTEM_VALUE";
                }).BindList(ViewData["ORDER_TYPE"]).GetHtml()
                                  
            </td>            
            <td style="width: 20px"></td>
            <td >   
                @Html.DevExpress().Label(
                label =>
                    {
                        label.Text = "Buyer PD";
                        label.Height = 25;
                    }).GetHtml() 
            </td>
            <td>                 
                @Html.DevExpress().TextBox(
              settings =>
              {
                  settings.Name = "I_BUYER_PD";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Width = 120; 
                  settings.Properties.MaxLength = 10;
              }).GetHtml()                   
            </td>
            
            <td style="width: 20px"></td>
            <td>
                @Html.DevExpress().Label(
                label =>
                    {
                        label.Text = "Status";
                        label.Height = 25;
                    }).GetHtml() 
            </td>
            <td>                
                @Html.DevExpress().ComboBox(
                settings =>
                {

                    settings.Name = "I_STATUS";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 120;
                    //settings.SelectedIndex = -1;
                    settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                    settings.Properties.TextFormatString = "{0}";
                    settings.Properties.ValueType = typeof(string);
                    settings.Properties.ValueField = "SYSTEM_CD";
                    settings.Properties.TextField = "SYSTEM_VALUE";
                }).BindList(ViewData["PICKING_LIST_FLAG"]).GetHtml()
                                          
            </td>
            
            <td><td>
                    @Html.DevExpress().CheckBox(
                    settings => 
                    {
                        settings.Name = "checkBoxAllGenerate";
                        settings.Checked = false;
                        settings.Text = "All";
                        //settings.Properties.ClientSideEvents.CheckedChanged = "function (s, e){ myButton.SetVisible(!myButton.GetVisible());}";
                    }
                ).GetHtml()
                </td>  </td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td colspan="10">
                

                @Html.DevExpress().Button(edtSetting =>
                {
                    edtSetting.Name = "cmdDownload";
                    edtSetting.Width = 90;
                    edtSetting.Text = "Download";
                    edtSetting.ClientSideEvents.Click = "DownloadData";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    
                 }).GetHtml()

                @Html.DevExpress().Button(edtSetting =>
                {
                edtSetting.Name = "cmdGenerate";
                edtSetting.Width = 90;
                edtSetting.Text = "Generate";
                edtSetting.ClientSideEvents.Click = "OnGenerate";
                edtSetting.Style.Add("display", "inline-table");
                edtSetting.UseSubmitBehavior = true;
                //           edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-01", "CLEAR");
                }).GetHtml()
            </td>
        </tr>     
    </table>
 </fieldset>
</div>
<div class="content" style="min-height: 300px">
    @Html.Partial("WarehouseInquiryGrid")
</div>